Specialist ArcGIS Server API 3.x and 4 for JavaScript